aboutsummaryrefslogtreecommitdiff
path: root/files/bin/munin-cron
diff options
context:
space:
mode:
authorSilvio Rhatto <rhatto@riseup.net>2014-03-12 12:31:25 -0300
committerSilvio Rhatto <rhatto@riseup.net>2014-03-12 12:31:25 -0300
commit7beae39bc53042b9fbf214653d390c988a03ad1b (patch)
tree1d69809367a8dde2bcdf9ea4d1275f779eab98b5 /files/bin/munin-cron
parent276e6c4762ba971d3bc86a9072c474251df56441 (diff)
downloadpuppet-nodo-7beae39bc53042b9fbf214653d390c988a03ad1b.tar.gz
puppet-nodo-7beae39bc53042b9fbf214653d390c988a03ad1b.tar.bz2
Split munin-update and munin-graph on different cronjobs
Diffstat (limited to 'files/bin/munin-cron')
-rw-r--r--files/bin/munin-cron20
1 files changed, 20 insertions, 0 deletions
diff --git a/files/bin/munin-cron b/files/bin/munin-cron
new file mode 100644
index 0000000..052ea2d
--- /dev/null
+++ b/files/bin/munin-cron
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+# This used to test if the executables were installed. But that is
+# perfectly redundant and supresses errors that the admin should see.
+
+/usr/share/munin/munin-update $@ || exit 1
+
+# The result of munin-limits is needed by munin-html but not by
+# munin-graph. So run it in the background now, it will be done
+# before munin-graph.
+
+/usr/share/munin/munin-limits $@
+
+# We always launch munin-html.
+# It is a noop if html_strategy is "cgi"
+#nice /usr/share/munin/munin-html $@ || exit 1
+
+# The result of munin-html is needed for munin-graph.
+# It is a noop if graph_strategy is "cgi"
+#nice /usr/share/munin/munin-graph --cron $@ || exit 1